
#include <stdio.h>
#include <dlfcn.h>
#include "master.h"

int main()
{
	void*	module_handle;
	void	(*load_slaves) ();

	module_handle = dlopen("master.so", RTLD_NOW | RTLD_GLOBAL);
	if (!module_handle)
		goto error;

	load_slaves = (void(*)()) dlsym (module_handle, "load_slaves");
	if (!load_slaves)
		goto error;

	load_slaves();
	return 0;

error:
	printf("%s\n", dlerror());
	return 1;
}
